<template>
    <div v-if="!this.modal" class="position">
           
     
                    <div class="positionarray col-11 col-lg-2 bg-light p-5">
                       

                    <form action="" @submit.prevent="send">

                        <label for=""> Giorno</label>
                        <div class="input-group mb-3 w-100">
                        <select v-model="form.day" class="form-control custom-select" id="inputGroupSelect01">
                            <option v-for="(day, index) in days"  :key="index" :value="day.id">{{day.day}}</option>
                        </select>
                        </div>
                        <label for=""> Title</label>
                        
                        <input v-model="form.title" type="text" class="form-control mb-3" placeholder="" aria-label="" aria-describedby="basic-addon1">
                     
                        <label for=""> Pasto</label>
                        <div class="input-group mb-3 w-100">
                        <select v-model="form.lunch" class="form-control custom-select" id="inputGroupSelect01">
                            <option value="Pranzo">Pranzo</option>
                            <option value="Cena">Cena</option>
                        </select>
                        </div>
                        <label for=""> Descrizione</label>
                        <textarea v-model="form.description" type="text" class="form-control  mb-3" placeholder="" aria-label="" aria-describedby="basic-addon1" />
    
                        <button type="submit" class="btn  btn-info "> Aggiungi</button>
                    </form>
               
            </div>

    <div @click="$emit(`modalfunction`)" class="bg-info positionarraybase">

     </div>
      
    </div>
</template>

<script>

export default {
    props:['modal',],
    data(){
        return{
            form:{
                title: '',
                lunch: '',
                description: '',
                day:'',
             },
             days:'',
             
        }
    },
    created(){
        axios.get(`https://diet.lorenzogiannone.it/api/day`).then((response)=>{
            this.days = response.data.days;
            });
    },
    methods:{
        send(){  
            axios.post(`https://diet.lorenzogiannone.it/api/insert`, this.form ).then((response)=>{
                if(response.data.response === 1){
                    this.$emit(`returnmessage`);
                }
                this.$emit(`modalfunction`)
            });
        }
      

    }

}
</script>

<style>

.positionarray{
    position: fixed;
    top: 0vh;
    width: 80%;
    left: 11.5%;
    margin-top: 10rem;
    position: absolute;
    z-index: 200;
    transition:1s;
}

.positionarraybase{
    position: fixed;
    top: 0;
    left: 0%;
    width: 100%;
    height: 100vh;
    z-index: 100;
    overflow: hidden;
    transition:1s;
}

@media (min-width: 1085px) {
    .positionarray{
        width: 30rem;
        position: fixed;
        left:32%;
        margin-top:10rem ;
        position: absolute;
        z-index: 200;
        transition:1s;
    }
}

</style>